%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# Tests disabled due to unpackaged dependency on npm(espree), which depends
# on npm(acorn-jsx), which needs a newer version of npm(acorn), etc.

Name:       nodejs-estraverse
Version:    4.2.0
Release:    1%{?dist}
Summary:    ECMAScript JS AST traversal functions
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/Constellation/estraverse
Source0:    http://registry.npmjs.org/estraverse/-/estraverse-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

BuildRequires:  npm(coffee-script)
%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(espree)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/estraverse
cp -pr package.json estraverse.js \
    %{buildroot}%{nodejs_sitelib}/estraverse

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --compilers coffee:coffee-script/register
%endif


%files
%{!?_licensedir:%global license %doc}
%doc LICENSE.BSD
%{nodejs_sitelib}/estraverse


%changelog
* Thu Jul 07 2016 Jared Smith <jsmith@fedoraproject.org> - 4.2.0-1
- Update to upstream 4.2.0 release

* Wed Feb 24 2016 Jared Smith <jsmith@fedoraproject.org> - 4.1.1-1
- Update to upstream 4.1.1 release

* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 1.9.3-1
- Update to upstream 1.9.3 release
- Fix test syntax

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5.0-1
- update to upstream release 1.5.0

* Wed Sep 04 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.0-1
- update to upstream release 1.3.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.0-1
- update to upstream release 1.2.0
- restrict to compatible arches

* Mon May 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.1-1
- initial package
